#!/bin/sh
# File Name: uninstall.command
# Description: Remove the UPSentry Smart 2000 from Mac OSX
# OS: FreeBSD

echo Uninstall the UPSentry Smart 2000.
echo 
echo You must be logged in to an Administrator account before you begin to uninstall.
echo 
echo -n "Are you sure you want to remove UPSentry Smart 2000 (y/n)? "
read result
echo

case $result in
    y | Y)
	sudo -p "Please enter this user's password to perform the uninstall: " -v
	if [ $? = 1 ] ; then
		echo Authentication failed, or this user is not an Administrator. Please log in as an Administrator and try again.
	else
		kill -HUP `ps -ax | grep 'upsd' | grep -v grep | awk '{print $1}'`
	        sudo rm -fR /Library/StartupItems/UPSentry
	        sudo rm -fR /Applications/UPSentry
		sudo rm -fR /Library/Receipts/UPSentry.pkg
		sudo -k
		echo
		echo "UPSentry Smart 2000 has been uninstalled successfully."
	fi
	;;
    *)
        echo "UPSentry Smart 2000 has not been uninstalled."
	;;
esac
